        html, body {
            margin: 0;
            box-sizing: border-box;
            height: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            font-family: 'Quicksand', sans-serif;
        }
        body {
            height: 100vh;
            width: 100vw;
            background-color: #2d3436;
            background-image: linear-gradient(315deg, #2d3436 0%, #000000 125%);
            background-size: cover;
            background-position: center;
        }
        .login-container {
            background: rgba(0, 0, 0, 0.3);
            padding: 3vh;
            border-radius: 2vh;
            text-align: center;
            width: 25vw;
            max-width: 25vw;
            box-shadow: 0 2vh 5vh rgba(0, 0, 0, 1);
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
        .logo {
            width: 35vh;
            height: auto;
            margin-top: 3vh;
            margin-bottom: 3vh;
        }
        .login-container h2 {
            color: lightgrey;
            margin-bottom: 3vh;
            font-size: 2.8vh;
        }
        .input-group {
            background: rgba(255, 255, 255, 0.1);
            display: flex;
            flex-direction: row;
            justify-content: left;
            align-items: center;
            border: none;
            border-radius: 1vh;
            width: 90%;
            margin-bottom: 2.3vh;
            position: relative;
        }
        .input-group input,
        .input-group select {
            padding: 1.5vh;
            border: none;
            margin-left: 1vh;
            border-radius: 1vh;
            background: transparent;
            color: white;
            font-size: 2.3vh;
            outline: none;
            width: 100%;
        }
        .input-group input::placeholder {
            color: rgba(255, 255, 255, 0.7);
        }
        .input-group i {
            margin-left: 2.5vh;
            font-size: 2.3vh;
            color: rgba(255, 255, 255, 0.7);
        }
        /* Custom Styles for Select Dropdown */
        .input-group select {
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            padding-right: 3vh;
            border: none;
        }
        .input-group i#drop_down_icon {
            position: absolute;
            right: 2vh;
            font-size: 2.5vh;
            color: rgba(255, 255, 255, 0.7);
            pointer-events: none;
        }
        .input-group select:focus {
            outline: none;
        }
        .input-group select option {
            background-color: #333;
            color: white;
        }
        .input-group select option:hover {
            background-color: #444;
        }
        .login-container button {
            background: lightgrey;
            color: black;
            padding: 1.6vh 3.4vw;
            border: none;
            border-radius: 1.5vh;
            text-decoration: none;
            font-size: 2.3vh;
            cursor: pointer;
            transition: background 0.3s ease, transform 0.2s ease;
            margin-top: 1vh;
            margin-bottom: 2vh;
            font-weight: bold;
        }
        .login-container button:hover {
            background: #DE3163;
            color: #fff;
        }
        .forgot_password {
            margin-top: 2vh;
            margin-bottom: 3vh;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
        .forgot_password a {
            font-size: 2.3vh;
            color: #ff4081;
            text-decoration: none;
        }

        .forgot_password a:hover {
            text-decoration: underline;
        }

        .register-text {
            font-size: 2.3vh;
            color: white;
        }

        .register-text a {
            color: #ff4081;
            text-decoration: none;
        }

        .register-text a:hover {
            text-decoration: underline;
        }

        .footer {
            margin-top: 3vh;
            color: lightgrey;
            font-size: 1.9vh;
            text-align: center;
        }

        .footer a {
            font-weight: bold;
            color: #ff4081;
            text-decoration: none;
        }

        .input-group i#toggle-password {
            font-size: 2vh;
            margin-right: 2vh;
            cursor: pointer;
        }